Skip to content

Retrieve card order requirements

Request

Retrieves all card requirements for a cardOrderId. A valid card order needs all its requirements status to be COMPLETED.

The type of requirements are:

  • PIN (optional): Set a PIN on a virtual or physical card order. Contact the team if you need this feature.
  • VERIFICATION: Verify your customer by providing KYC evidences. Refer to the KYC guide.
  • ADDRESS: Provide a valid address for your card order. Refer to address validation.

A requirement status has the following values:

  • NOT_INITIATED
  • NEEDS_ACTION
  • PENDING
  • COMPLETED
  • FAILED
Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID (personal or business).

Example:123456
cardOrderIdinteger, (int64)required

The card order ID.

Example:142
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/2026Q3/spend/profiles/123456/card-orders/142/requirements \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved card order requirements.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
requirementsArray of objects
Response
{ "requirements": [ { "type": "PIN", "status": "NOT_INITIATED" }, { "type": "VERIFICATION", "status": "PENDING" }, { "type": "ADDRESS", "status": "COMPLETED" } ] }